[GastForen Archiv Perl und CGI Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

  • Suche
  • Hilfe
  • Lesezeichen
  • Benutzerliste
Archiv - Archivierte Foren
Themen
Beiträge
Moderatoren
Letzter Beitrag

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

matjse
Beiträge gesamt: 4

27. Sep 2004, 13:19
Beitrag # 1 von 10
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
Hallo Zusammen !

Ein neue Tag, ein neues Problem :-).
Diese Fehlermeldung bekommen ich, wenn ich versuche mein Perl-Skript zu starten.

Fehlermeldung:

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD: libgd.so.2: cannot load shared object file: Datei oder Verzeichnis nicht gefunden at /usr/lib/perl5/5.6.0/i586-linux/DynaLoader.pm line 200.


Hier die ersten 3 Zeile aus meinem Perl-Skript:
______________________________

#!/usr/bin/perl
use GD;
use Chart::linespoints;
______________________________

Kann jemand mir bitte weiter helfen ?!
X

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

SabineP
Beiträge gesamt: 7586

27. Sep 2004, 13:58
Beitrag # 2 von 10
Beitrag ID: #111483
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
Hallo matjse,

Dir fehlt die GD library.

http://www.boutell.com/gd/

Gruß Sabine


als Antwort auf: [#111478]

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

matjse
Beiträge gesamt: 4

27. Sep 2004, 14:20
Beitrag # 3 von 10
Beitrag ID: #111486
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
Hallo Sabine, hab mir GD library runtergeladen.
Kennst Du eine gute(leicht verständlich) Installationsanweisung für GD library ? Noch einmal vielen Dank !!!



als Antwort auf: [#111478]

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

SabineP
Beiträge gesamt: 7586

27. Sep 2004, 14:41
Beitrag # 4 von 10
Beitrag ID: #111488
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
Hallo matjse,

das kann ich Dir leider nicht sagen, da bei meinem Provider die GD library immer installiert war.

Lies doch mal die readme.txt

Ich weiß nicht, ob bei Dir noch mehr C-Module fehlen:

gd 1.8.4 _requires_ that the following libraries also be installed:

libpng (see the libpng home page)
zlib (see the info-zip home page) zlib
jpeg-6b or later, if desired (see the Independent JPEG Group home page)

If you want to use the TrueType font support, you must also install
the _FreeType 2.x library_, including the header files.

Gruß Sabine


als Antwort auf: [#111478]

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

matjse
Beiträge gesamt: 4

27. Sep 2004, 14:58
Beitrag # 5 von 10
Beitrag ID: #111490
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
Vielen Dank für die Info ! Ich mache mir auf die suche :-) .

Gruss

matjse


als Antwort auf: [#111478]

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

Anonym
Beiträge gesamt: 22827

28. Sep 2004, 14:47
Beitrag # 6 von 10
Beitrag ID: #111743
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
Hallo !!!
Ich würde ganz gerne wissen, ob GD library von Perl-Version abhängig ist.

Weiss das vieleicht jemand ? Danke erstmal.

Gruss

matjse


als Antwort auf: [#111478]

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

Anonym
Beiträge gesamt: 22827

28. Sep 2004, 14:59
Beitrag # 7 von 10
Beitrag ID: #111748
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
Also, weshalb ich die Frage stelle.
Ich versuche die ganze Zeit GD library zu installieren.
Habe bis jetzt leider immer noch kein erfolg.

.... :-(


als Antwort auf: [#111478]

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

SabineP
Beiträge gesamt: 7586

28. Sep 2004, 15:16
Beitrag # 8 von 10
Beitrag ID: #111753
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
Hallo matjse,

Die GD library ist ein C-Modul und hat mit Perl selbst erstmal nichts zu tun,
Perl liefert mit dem Modul gd.pm nur die Schnittstelle zur GD library.

Wo willst Du die GD library installieren?
Normalerweise kann das nur Dein Provider für dich tun.

An welcher Stelle kommst Du nicht weiter in der readme.txt?

Gruß Sabine


als Antwort auf: [#111478]

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

Anonym
Beiträge gesamt: 22827

28. Sep 2004, 15:48
Beitrag # 9 von 10
Beitrag ID: #111761
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
Linux Betriebsystem habe auf mein PC installiert und möchte gerne mit
Webserver rum testen.

Wie gesagt, hab mir GD library runtergeladen und versucht zu
installieren.

Ich gehe die Installationsanweisung nach.

Schritt 1: cd GD-2.16
Schritt 2: Makefile.PL
Schritt 2: ...

Beim schritt 1 bekomme ich schon die Fehlermeldung:

==================================================================
homepc:/tmp/GD-2.16 # perl Makefile.PL
NOTICE: This module requires libgd 2.0.12 or higher.
it will NOT work with earlier versions.
See http://www.cpan.org for versions of GD that are compatible
with earlier versions of libgd.

If you are using Math::Trig 1.01 or lower, it has a bug that
causes a "prerequisite not found" warning to be issued. You may
safely ignore this warning.

Type perl Makefile.PL -h for command-line option summary

Configuring for libgd version 2.0.28.
Included Features: GD_JPEG GD_PNG GD_GIF
GD library used from: /usr/local

If you experience compile problems, please check the @INC, @LIBPATH and @LIBS
arrays defined in Makefile.PL and manually adjust, if necessary.

Warning: prerequisite Math::Trig 0 not found.
Writing Makefile for GD

===================================================================

Ich habe nach der Datei Trig.pm gesucht.
Die existiert auf mein Rechner(su).

homepc:/tmp/GD-2.16 # find /usr -name Trig* -print
/usr/lib/perl5/5.8.0/Math/Trig.pm


Wie soll ich jetzt weiter vorgehen ?


als Antwort auf: [#111478]

Can't load '/usr/lib/perl5/5.6.0/i586-linux/auto/GD/GD.so' for module GD

SabineP
Beiträge gesamt: 7586

28. Sep 2004, 16:09
Beitrag # 10 von 10
Beitrag ID: #111768
Bewertung:
(2021 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen
>> Wie gesagt, hab mir GD library runtergeladen

Mal eine Frage,

hast Du Dir diese Datei heruntergeladen ?
http://www.boutell.com/...ttp/gd-2.0.28.tar.gz

Installierst Du gerade die GD library von Boutell oder die GD.pm von Lincoln Stein?

Übrigens, die Fehlermeldung, die bei Dir kommt kannst Du ignorieren, das steht oben darüber:

If you are using Math::Trig 1.01 or lower, it has a bug that
causes a "prerequisite not found" warning to be issued. You may
safely ignore this warning.

Gruß Sabine


als Antwort auf: [#111478]
X

Veranstaltungskalender

Hier können Sie Ihre Anlässe eintragen, welche einen Zusammenhang mit den Angeboten von HilfDirSelbst.ch wie z.B. Adobe InDesign, Photoshop, Illustrator, PDF, Pitstop, Affinity, Marketing, SEO, Büro- und Rechtsthemen etc. haben. Die Einträge werden moderiert freigeschaltet. Dies wird werktags üblicherweise innert 24 Stunden erfolgen.

pdf-icon Hier eine kleine Anleitung hinsichtlich Bedeutung der auszufüllenden Formularfelder.

Veranstaltungen
05.02.2021 - 05.11.2021

Digicomp Academy AG, Limmatstrasse 50, 8005 Zürich
Freitag, 05. Feb. 2021, 13.00 Uhr - Freitag, 05. Nov. 2021, 17.00 Uhr

Lehrgang

Bilden Sie sich zum zertifizierten Publishing-Multimedia-Profi aus. Neben Fotografie und Video befassen Sie sich mit der Medienproduktion, digitalen Publikationen und dem Webdesign für Desktop- und mobile Endgeräte.

Preis: CHF 10'500.-
Dauer: 30 Tage (ca. 210 Lektionen) – Unterricht findet jeweils am Freitag von 13 - 19 Uhr und Samstag von 09 - 17 Uhr statt

Ja

Organisator: Digicomp Academy AG

Kontaktinformation: Kundenberater-Team, E-Mailkundenberatung AT digicomp DOT ch

digicomp.ch/d/9PM

Veranstaltungen
09.09.2021 - 17.12.2021

Digicomp Academy, Zürich
Donnerstag, 09. Sept. 2021, 13.00 Uhr - Freitag, 17. Dez. 2021, 19.00 Uhr

Lehrgang

Steigen Sie in die Welt des Publishings ein und erlangen Sie die Zertifizierung von Publishing NETWORK. Lernen Sie in diesem Lehrgang Druckmedien professionell zu erarbeiten, druckfertige PDFs zu erstellen und CI/CD-Vorgaben umzusetzen.

Preis: 6'300.– zzgl. 7.7% MWST
Dauer: 18 Tage(ca. 126 Lektionen) – Unterricht findet jeweils am Freitag von 13 - 19 Uhr und Samstag von 09 - 17 Uhr statt.

Ja

Organisator: Digicomp Academy AG

Kontaktinformation: Kundenberater-Team, E-Mailkundenberater AT digicomp DOT ch